Bug 120100 - When selecting content from bottom to top and mouse appears over image/frame, scrolling gets choppy
Summary: When selecting content from bottom to top and mouse appears over image/frame,...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2018-09-24 07:38 UTC by Telesto
Modified: 2020-08-17 19:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (166.46 KB, application/vnd.oasis.opendocument.text)
2018-09-24 07:38 UTC, Telesto
Details
Screencast (1.12 MB, video/mp4)
2018-09-24 07:39 UTC, Telesto
Details
A bit more simplistic (71.68 KB, application/vnd.oasis.opendocument.text)
2018-09-24 07:43 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-09-24 07:38:03 UTC
Description:
Slowdown when selecting content from bottom to top

Steps to Reproduce:
1. Open the attached file
2. Scroll to the bottom
3. Select everything by dragging up

Actual Results:
Slowdown on the first page

Expected Results:
No change in speed


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: d5a2202f955657e427670a87c2d4e5638884517b
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-12_02:38:23
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-09-24 07:38:17 UTC
Created attachment 145132 [details]
Example file
Comment 2 Telesto 2018-09-24 07:39:13 UTC
Created attachment 145133 [details]
Screencast
Comment 3 Telesto 2018-09-24 07:43:37 UTC
Created attachment 145134 [details]
A bit more simplistic
Comment 4 Buovjaga 2018-10-22 16:28:13 UTC
Can you repro this zoomed out to like 25%? I think it is somehow getting confused when the mouse hits the image/frame when the page scrolls upward. Behaves same in 3.3.0 (Win).
Comment 5 Telesto 2018-10-22 16:38:37 UTC
(In reply to Buovjaga from comment #4)
> Can you repro this zoomed out to like 25%? I think it is somehow getting
> confused when the mouse hits the image/frame when the page scrolls upward.
> Behaves same in 3.3.0 (Win).

It's fine at zoomlevel 25%
Comment 6 QA Administrators 2019-10-23 02:47:07 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug